<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.3"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>NANO102/112 BSP: StdDriver/src/i2c.c Source File</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../M0Banner_v2.jpg"/></td>
  <td id="projectalign">
   <div id="projectname">NANO102/112 BSP<span id="projectnumber">&#160;V3.04.000</span>
   </div>
   <div id="projectbrief">The Board Support Package for Nano102/112 Series</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.3 -->
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',false,false,'search.php','Search');
});
/* @license-end */
</script>
<div id="main-nav"></div>
<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="../../dir_0d398eaf8b2db165a9197a6619ec9f0e.html">StdDriver</a></li><li class="navelem"><a class="el" href="../../dir_3abedc03644d33bc69016fb8a5546004.html">src</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="headertitle"><div class="title">i2c.c</div></div>
</div><!--header-->
<div class="contents">
<a href="../../d9/dcb/i2c_8c.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a id="l00001" name="l00001"></a><span class="lineno">    1</span><span class="comment">/****************************************************************************/</span></div>
<div class="line"><a id="l00013" name="l00013"></a><span class="lineno">   13</span><span class="preprocessor">#include &quot;<a class="code" href="../../da/d91/_nano1_x2_series_8h.html">Nano1X2Series.h</a>&quot;</span></div>
<div class="line"><a id="l00014" name="l00014"></a><span class="lineno">   14</span> </div>
<div class="line"><a id="l00034" name="l00034"></a><span class="lineno"><a class="line" href="../../d6/da0/group___n_a_n_o1_x2___i2_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gae8701d230c114b4b73757a08d0e23309">   34</a></span>uint32_t <a class="code hl_function" href="../../d6/da0/group___n_a_n_o1_x2___i2_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gae8701d230c114b4b73757a08d0e23309">I2C_Open</a>(<a class="code hl_struct" href="../../d2/d62/struct_i2_c___t.html">I2C_T</a> *i2c, uint32_t u32BusClock)</div>
<div class="line"><a id="l00035" name="l00035"></a><span class="lineno">   35</span>{</div>
<div class="line"><a id="l00036" name="l00036"></a><span class="lineno">   36</span>    uint32_t u32Div;</div>
<div class="line"><a id="l00037" name="l00037"></a><span class="lineno">   37</span>    uint32_t u32Pclk = <a class="code hl_function" href="../../d5/d72/group___n_a_n_o1_x2___c_l_k___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga15c5a1cc055a26e3da00d8dc66f05e66">CLK_GetPCLKFreq</a>();</div>
<div class="line"><a id="l00038" name="l00038"></a><span class="lineno">   38</span> </div>
<div class="line"><a id="l00039" name="l00039"></a><span class="lineno">   39</span>    u32Div = (uint32_t) (((u32Pclk * 10)/(u32BusClock * 4) + 5) / 10 - 1); <span class="comment">/* Compute proper divider for I2C clock */</span></div>
<div class="line"><a id="l00040" name="l00040"></a><span class="lineno">   40</span>    i2c-&gt;<a class="code hl_variable" href="../../d4/d75/group___n_a_n_o1_x2__legacy___constants.html#gab20c783148e5e679d8da4415cfad85b2">DIV</a> = u32Div;</div>
<div class="line"><a id="l00041" name="l00041"></a><span class="lineno">   41</span> </div>
<div class="line"><a id="l00042" name="l00042"></a><span class="lineno">   42</span>    <span class="comment">/* Ensable I2C */</span></div>
<div class="line"><a id="l00043" name="l00043"></a><span class="lineno">   43</span>    i2c-&gt;<a class="code hl_variable" href="../../d4/d75/group___n_a_n_o1_x2__legacy___constants.html#ga3a6b1cd30e7ad401b1dff3f181a0a6c4">CON</a> |= <a class="code hl_define" href="../../da/d91/_nano1_x2_series_8h.html#a86d6277ce63c121b43ee3ecb54ff5d41">I2C_CON_IPEN_Msk</a>;</div>
<div class="line"><a id="l00044" name="l00044"></a><span class="lineno">   44</span> </div>
<div class="line"><a id="l00045" name="l00045"></a><span class="lineno">   45</span>    <span class="keywordflow">return</span> ( u32Pclk / ((u32Div+1)&lt;&lt;2) );</div>
<div class="line"><a id="l00046" name="l00046"></a><span class="lineno">   46</span>}</div>
<div class="line"><a id="l00047" name="l00047"></a><span class="lineno">   47</span> </div>
<div class="line"><a id="l00053" name="l00053"></a><span class="lineno"><a class="line" href="../../d6/da0/group___n_a_n_o1_x2___i2_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga21c950fb4e57a2047b69cb811003fa9a">   53</a></span><span class="keywordtype">void</span> <a class="code hl_function" href="../../d6/da0/group___n_a_n_o1_x2___i2_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga21c950fb4e57a2047b69cb811003fa9a">I2C_Close</a>(<a class="code hl_struct" href="../../d2/d62/struct_i2_c___t.html">I2C_T</a> *i2c)</div>
<div class="line"><a id="l00054" name="l00054"></a><span class="lineno">   54</span>{</div>
<div class="line"><a id="l00055" name="l00055"></a><span class="lineno">   55</span>    <span class="comment">/* Reset I2C */</span></div>
<div class="line"><a id="l00056" name="l00056"></a><span class="lineno">   56</span>    <span class="keywordflow">if</span>((uint32_t)i2c == <a class="code hl_define" href="../../d5/db2/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___m_e_m___m_a_p.html#gabf0928baf4e4350633ca9050b65d1939">I2C0_BASE</a>)</div>
<div class="line"><a id="l00057" name="l00057"></a><span class="lineno">   57</span>    {</div>
<div class="line"><a id="l00058" name="l00058"></a><span class="lineno">   58</span>        <a class="code hl_define" href="../../da/d2d/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#gae3d9f52a1a315303ad04f0576bd42a25">SYS</a>-&gt;IPRST_CTL2 |= <a class="code hl_define" href="../../da/d91/_nano1_x2_series_8h.html#af488439f0659be9b3529315c4ce840d6">SYS_IPRST_CTL2_I2C0_RST_Msk</a>;</div>
<div class="line"><a id="l00059" name="l00059"></a><span class="lineno">   59</span>        <a class="code hl_define" href="../../da/d2d/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#gae3d9f52a1a315303ad04f0576bd42a25">SYS</a>-&gt;IPRST_CTL2 &amp;= ~SYS_IPRST_CTL2_I2C0_RST_Msk;</div>
<div class="line"><a id="l00060" name="l00060"></a><span class="lineno">   60</span>    }</div>
<div class="line"><a id="l00061" name="l00061"></a><span class="lineno">   61</span>    <span class="keywordflow">else</span></div>
<div class="line"><a id="l00062" name="l00062"></a><span class="lineno">   62</span>    {</div>
<div class="line"><a id="l00063" name="l00063"></a><span class="lineno">   63</span>        <a class="code hl_define" href="../../da/d2d/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#gae3d9f52a1a315303ad04f0576bd42a25">SYS</a>-&gt;IPRST_CTL2 |= <a class="code hl_define" href="../../da/d91/_nano1_x2_series_8h.html#ad2cdbbb8e94249513a07469f6063e159">SYS_IPRST_CTL2_I2C1_RST_Msk</a>;</div>
<div class="line"><a id="l00064" name="l00064"></a><span class="lineno">   64</span>        <a class="code hl_define" href="../../da/d2d/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#gae3d9f52a1a315303ad04f0576bd42a25">SYS</a>-&gt;IPRST_CTL2 &amp;= ~SYS_IPRST_CTL2_I2C1_RST_Msk;</div>
<div class="line"><a id="l00065" name="l00065"></a><span class="lineno">   65</span>    }</div>
<div class="line"><a id="l00066" name="l00066"></a><span class="lineno">   66</span> </div>
<div class="line"><a id="l00067" name="l00067"></a><span class="lineno">   67</span>    <span class="comment">/* Disable I2C */</span></div>
<div class="line"><a id="l00068" name="l00068"></a><span class="lineno">   68</span>    i2c-&gt;<a class="code hl_variable" href="../../d4/d75/group___n_a_n_o1_x2__legacy___constants.html#ga3a6b1cd30e7ad401b1dff3f181a0a6c4">CON</a> &amp;= ~I2C_CON_IPEN_Msk;</div>
<div class="line"><a id="l00069" name="l00069"></a><span class="lineno">   69</span>}</div>
<div class="line"><a id="l00070" name="l00070"></a><span class="lineno">   70</span> </div>
<div class="line"><a id="l00076" name="l00076"></a><span class="lineno"><a class="line" href="../../d6/da0/group___n_a_n_o1_x2___i2_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga52dc389ef7d32581831ca8e9c9f4a4bd">   76</a></span><span class="keywordtype">void</span> <a class="code hl_function" href="../../d6/da0/group___n_a_n_o1_x2___i2_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga52dc389ef7d32581831ca8e9c9f4a4bd">I2C_ClearTimeoutFlag</a>(<a class="code hl_struct" href="../../d2/d62/struct_i2_c___t.html">I2C_T</a> *i2c)</div>
<div class="line"><a id="l00077" name="l00077"></a><span class="lineno">   77</span>{</div>
<div class="line"><a id="l00078" name="l00078"></a><span class="lineno">   78</span>    i2c-&gt;<a class="code hl_variable" href="../../d4/d75/group___n_a_n_o1_x2__legacy___constants.html#ga2b528aee5b81928cfa6e84f205ac5e88">INTSTS</a> |= <a class="code hl_define" href="../../da/d91/_nano1_x2_series_8h.html#ae3fdbe7343aa2a1904d9fda20fa67cac">I2C_INTSTS_TIF_Msk</a>;</div>
<div class="line"><a id="l00079" name="l00079"></a><span class="lineno">   79</span>}</div>
<div class="line"><a id="l00080" name="l00080"></a><span class="lineno">   80</span> </div>
<div class="line"><a id="l00090" name="l00090"></a><span class="lineno"><a class="line" href="../../d6/da0/group___n_a_n_o1_x2___i2_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga29b31f62a804d8127bc8d480f5140856">   90</a></span><span class="keywordtype">void</span> <a class="code hl_function" href="../../d6/da0/group___n_a_n_o1_x2___i2_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga29b31f62a804d8127bc8d480f5140856">I2C_Trigger</a>(<a class="code hl_struct" href="../../d2/d62/struct_i2_c___t.html">I2C_T</a> *i2c, uint8_t u8Start, uint8_t u8Stop, uint8_t u8Si, uint8_t u8Ack)</div>
<div class="line"><a id="l00091" name="l00091"></a><span class="lineno">   91</span>{</div>
<div class="line"><a id="l00092" name="l00092"></a><span class="lineno">   92</span>    uint32_t u32Reg = 0;</div>
<div class="line"><a id="l00093" name="l00093"></a><span class="lineno">   93</span>    uint32_t u32Val = i2c-&gt;<a class="code hl_variable" href="../../d4/d75/group___n_a_n_o1_x2__legacy___constants.html#ga3a6b1cd30e7ad401b1dff3f181a0a6c4">CON</a> &amp; ~(<a class="code hl_define" href="../../d9/d21/group___n_a_n_o1_x2___i2_c___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga971d21035ba4ae2ef8287ed2a8c5f730">I2C_STA</a> | <a class="code hl_define" href="../../d9/d21/group___n_a_n_o1_x2___i2_c___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga3ec29c2b8a3f118cd6a4ad5b7b89be81">I2C_STO</a> | <a class="code hl_define" href="../../d9/d21/group___n_a_n_o1_x2___i2_c___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga3a6f5731d5e5e7b21e5c01881d62a1b9">I2C_AA</a>);</div>
<div class="line"><a id="l00094" name="l00094"></a><span class="lineno">   94</span> </div>
<div class="line"><a id="l00095" name="l00095"></a><span class="lineno">   95</span>    <span class="keywordflow">if</span> (u8Start)</div>
<div class="line"><a id="l00096" name="l00096"></a><span class="lineno">   96</span>        u32Reg |= <a class="code hl_define" href="../../d9/d21/group___n_a_n_o1_x2___i2_c___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga971d21035ba4ae2ef8287ed2a8c5f730">I2C_STA</a>;</div>
<div class="line"><a id="l00097" name="l00097"></a><span class="lineno">   97</span>    <span class="keywordflow">if</span> (u8Stop)</div>
<div class="line"><a id="l00098" name="l00098"></a><span class="lineno">   98</span>        u32Reg |= <a class="code hl_define" href="../../d9/d21/group___n_a_n_o1_x2___i2_c___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga3ec29c2b8a3f118cd6a4ad5b7b89be81">I2C_STO</a>;</div>
<div class="line"><a id="l00099" name="l00099"></a><span class="lineno">   99</span>    <span class="keywordflow">if</span> (u8Si)</div>
<div class="line"><a id="l00100" name="l00100"></a><span class="lineno">  100</span>        u32Reg |= <a class="code hl_define" href="../../d9/d21/group___n_a_n_o1_x2___i2_c___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga086ce98cdfb4f65742d3eec098d3e273">I2C_SI</a>;</div>
<div class="line"><a id="l00101" name="l00101"></a><span class="lineno">  101</span>    <span class="keywordflow">if</span> (u8Ack)</div>
<div class="line"><a id="l00102" name="l00102"></a><span class="lineno">  102</span>        u32Reg |= <a class="code hl_define" href="../../d9/d21/group___n_a_n_o1_x2___i2_c___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga3a6f5731d5e5e7b21e5c01881d62a1b9">I2C_AA</a>;</div>
<div class="line"><a id="l00103" name="l00103"></a><span class="lineno">  103</span> </div>
<div class="line"><a id="l00104" name="l00104"></a><span class="lineno">  104</span>    i2c-&gt;<a class="code hl_variable" href="../../d4/d75/group___n_a_n_o1_x2__legacy___constants.html#ga3a6b1cd30e7ad401b1dff3f181a0a6c4">CON</a> = u32Val | u32Reg;</div>
<div class="line"><a id="l00105" name="l00105"></a><span class="lineno">  105</span>}</div>
<div class="line"><a id="l00106" name="l00106"></a><span class="lineno">  106</span> </div>
<div class="line"><a id="l00112" name="l00112"></a><span class="lineno"><a class="line" href="../../d6/da0/group___n_a_n_o1_x2___i2_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga8f7c9f0b9e85f4a6de170dbf26826061">  112</a></span><span class="keywordtype">void</span> <a class="code hl_function" href="../../d6/da0/group___n_a_n_o1_x2___i2_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga8f7c9f0b9e85f4a6de170dbf26826061">I2C_DisableInt</a>(<a class="code hl_struct" href="../../d2/d62/struct_i2_c___t.html">I2C_T</a> *i2c)</div>
<div class="line"><a id="l00113" name="l00113"></a><span class="lineno">  113</span>{</div>
<div class="line"><a id="l00114" name="l00114"></a><span class="lineno">  114</span>    i2c-&gt;<a class="code hl_variable" href="../../d4/d75/group___n_a_n_o1_x2__legacy___constants.html#ga3a6b1cd30e7ad401b1dff3f181a0a6c4">CON</a> &amp;= ~I2C_CON_INTEN_Msk;</div>
<div class="line"><a id="l00115" name="l00115"></a><span class="lineno">  115</span>}</div>
<div class="line"><a id="l00116" name="l00116"></a><span class="lineno">  116</span> </div>
<div class="line"><a id="l00122" name="l00122"></a><span class="lineno"><a class="line" href="../../d6/da0/group___n_a_n_o1_x2___i2_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga7c48aae047e67d4484009b3f56f78e74">  122</a></span><span class="keywordtype">void</span> <a class="code hl_function" href="../../d6/da0/group___n_a_n_o1_x2___i2_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga7c48aae047e67d4484009b3f56f78e74">I2C_EnableInt</a>(<a class="code hl_struct" href="../../d2/d62/struct_i2_c___t.html">I2C_T</a> *i2c)</div>
<div class="line"><a id="l00123" name="l00123"></a><span class="lineno">  123</span>{</div>
<div class="line"><a id="l00124" name="l00124"></a><span class="lineno">  124</span>    i2c-&gt;<a class="code hl_variable" href="../../d4/d75/group___n_a_n_o1_x2__legacy___constants.html#ga3a6b1cd30e7ad401b1dff3f181a0a6c4">CON</a> |= <a class="code hl_define" href="../../da/d91/_nano1_x2_series_8h.html#a2e705d8f00a9745beac22c3650b33dff">I2C_CON_INTEN_Msk</a>;</div>
<div class="line"><a id="l00125" name="l00125"></a><span class="lineno">  125</span>}</div>
<div class="line"><a id="l00126" name="l00126"></a><span class="lineno">  126</span> </div>
<div class="line"><a id="l00132" name="l00132"></a><span class="lineno"><a class="line" href="../../d6/da0/group___n_a_n_o1_x2___i2_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga722b0efc53445c3ee7bea5e2b0e48ec6">  132</a></span>uint32_t <a class="code hl_function" href="../../d6/da0/group___n_a_n_o1_x2___i2_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga722b0efc53445c3ee7bea5e2b0e48ec6">I2C_GetBusClockFreq</a>(<a class="code hl_struct" href="../../d2/d62/struct_i2_c___t.html">I2C_T</a> *i2c)</div>
<div class="line"><a id="l00133" name="l00133"></a><span class="lineno">  133</span>{</div>
<div class="line"><a id="l00134" name="l00134"></a><span class="lineno">  134</span>    uint32_t u32Divider = i2c-&gt;<a class="code hl_variable" href="../../d4/d75/group___n_a_n_o1_x2__legacy___constants.html#gab20c783148e5e679d8da4415cfad85b2">DIV</a>;</div>
<div class="line"><a id="l00135" name="l00135"></a><span class="lineno">  135</span> </div>
<div class="line"><a id="l00136" name="l00136"></a><span class="lineno">  136</span>    <span class="keywordflow">return</span> ( <a class="code hl_function" href="../../d5/d72/group___n_a_n_o1_x2___c_l_k___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga15c5a1cc055a26e3da00d8dc66f05e66">CLK_GetPCLKFreq</a>() / ((u32Divider+1)&lt;&lt;2) );</div>
<div class="line"><a id="l00137" name="l00137"></a><span class="lineno">  137</span>}</div>
<div class="line"><a id="l00138" name="l00138"></a><span class="lineno">  138</span> </div>
<div class="line"><a id="l00145" name="l00145"></a><span class="lineno"><a class="line" href="../../d6/da0/group___n_a_n_o1_x2___i2_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga270c59858dcbe767fdfa7aec2247aab5">  145</a></span>uint32_t <a class="code hl_function" href="../../d6/da0/group___n_a_n_o1_x2___i2_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga270c59858dcbe767fdfa7aec2247aab5">I2C_SetBusClockFreq</a>(<a class="code hl_struct" href="../../d2/d62/struct_i2_c___t.html">I2C_T</a> *i2c, uint32_t u32BusClock)</div>
<div class="line"><a id="l00146" name="l00146"></a><span class="lineno">  146</span>{</div>
<div class="line"><a id="l00147" name="l00147"></a><span class="lineno">  147</span>    uint32_t u32Div;</div>
<div class="line"><a id="l00148" name="l00148"></a><span class="lineno">  148</span>    uint32_t u32Pclk = <a class="code hl_function" href="../../d5/d72/group___n_a_n_o1_x2___c_l_k___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga15c5a1cc055a26e3da00d8dc66f05e66">CLK_GetPCLKFreq</a>();</div>
<div class="line"><a id="l00149" name="l00149"></a><span class="lineno">  149</span> </div>
<div class="line"><a id="l00150" name="l00150"></a><span class="lineno">  150</span>    u32Div = (uint32_t) (((u32Pclk * 10)/(u32BusClock * 4) + 5) / 10 - 1); <span class="comment">/* Compute proper divider for I2C clock */</span></div>
<div class="line"><a id="l00151" name="l00151"></a><span class="lineno">  151</span>    i2c-&gt;<a class="code hl_variable" href="../../d4/d75/group___n_a_n_o1_x2__legacy___constants.html#gab20c783148e5e679d8da4415cfad85b2">DIV</a> = u32Div;</div>
<div class="line"><a id="l00152" name="l00152"></a><span class="lineno">  152</span> </div>
<div class="line"><a id="l00153" name="l00153"></a><span class="lineno">  153</span>    <span class="keywordflow">return</span> ( u32Pclk / ((u32Div+1)&lt;&lt;2) );</div>
<div class="line"><a id="l00154" name="l00154"></a><span class="lineno">  154</span>}</div>
<div class="line"><a id="l00155" name="l00155"></a><span class="lineno">  155</span> </div>
<div class="line"><a id="l00163" name="l00163"></a><span class="lineno"><a class="line" href="../../d6/da0/group___n_a_n_o1_x2___i2_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gad181ccedfb141167da8faf8ef279ba92">  163</a></span>uint32_t <a class="code hl_function" href="../../d6/da0/group___n_a_n_o1_x2___i2_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gad181ccedfb141167da8faf8ef279ba92">I2C_GetIntFlag</a>(<a class="code hl_struct" href="../../d2/d62/struct_i2_c___t.html">I2C_T</a> *i2c)</div>
<div class="line"><a id="l00164" name="l00164"></a><span class="lineno">  164</span>{</div>
<div class="line"><a id="l00165" name="l00165"></a><span class="lineno">  165</span>    <span class="keywordflow">return</span> ( (i2c-&gt;<a class="code hl_variable" href="../../d4/d75/group___n_a_n_o1_x2__legacy___constants.html#ga2b528aee5b81928cfa6e84f205ac5e88">INTSTS</a> &amp; <a class="code hl_define" href="../../da/d91/_nano1_x2_series_8h.html#a37e2291e5b8cb08ef03127ff25373958">I2C_INTSTS_INTSTS_Msk</a>) == <a class="code hl_define" href="../../da/d91/_nano1_x2_series_8h.html#a37e2291e5b8cb08ef03127ff25373958">I2C_INTSTS_INTSTS_Msk</a> ? 1:0 );</div>
<div class="line"><a id="l00166" name="l00166"></a><span class="lineno">  166</span>}</div>
<div class="line"><a id="l00167" name="l00167"></a><span class="lineno">  167</span> </div>
<div class="line"><a id="l00173" name="l00173"></a><span class="lineno"><a class="line" href="../../d6/da0/group___n_a_n_o1_x2___i2_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gac3ab4949dccb6092ca2727d29bb73949">  173</a></span><span class="keywordtype">void</span> <a class="code hl_function" href="../../d6/da0/group___n_a_n_o1_x2___i2_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gac3ab4949dccb6092ca2727d29bb73949">I2C_ClearIntFlag</a>(<a class="code hl_struct" href="../../d2/d62/struct_i2_c___t.html">I2C_T</a> *i2c)</div>
<div class="line"><a id="l00174" name="l00174"></a><span class="lineno">  174</span>{</div>
<div class="line"><a id="l00175" name="l00175"></a><span class="lineno">  175</span>    i2c-&gt;<a class="code hl_variable" href="../../d4/d75/group___n_a_n_o1_x2__legacy___constants.html#ga2b528aee5b81928cfa6e84f205ac5e88">INTSTS</a> |= <a class="code hl_define" href="../../da/d91/_nano1_x2_series_8h.html#a37e2291e5b8cb08ef03127ff25373958">I2C_INTSTS_INTSTS_Msk</a>;</div>
<div class="line"><a id="l00176" name="l00176"></a><span class="lineno">  176</span>}</div>
<div class="line"><a id="l00177" name="l00177"></a><span class="lineno">  177</span> </div>
<div class="line"><a id="l00183" name="l00183"></a><span class="lineno"><a class="line" href="../../d6/da0/group___n_a_n_o1_x2___i2_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga87ee3e2d3837de97391187449bb66af2">  183</a></span>uint32_t <a class="code hl_function" href="../../d6/da0/group___n_a_n_o1_x2___i2_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga87ee3e2d3837de97391187449bb66af2">I2C_GetStatus</a>(<a class="code hl_struct" href="../../d2/d62/struct_i2_c___t.html">I2C_T</a> *i2c)</div>
<div class="line"><a id="l00184" name="l00184"></a><span class="lineno">  184</span>{</div>
<div class="line"><a id="l00185" name="l00185"></a><span class="lineno">  185</span>    <span class="keywordflow">return</span> ( i2c-&gt;<a class="code hl_variable" href="../../d4/d75/group___n_a_n_o1_x2__legacy___constants.html#ga45e9c068d3cc966e206bd45c9b04b074">STATUS</a> );</div>
<div class="line"><a id="l00186" name="l00186"></a><span class="lineno">  186</span>}</div>
<div class="line"><a id="l00187" name="l00187"></a><span class="lineno">  187</span> </div>
<div class="line"><a id="l00193" name="l00193"></a><span class="lineno"><a class="line" href="../../d6/da0/group___n_a_n_o1_x2___i2_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga94200ddc2f4cb709f477c40f955f1dba">  193</a></span>uint32_t <a class="code hl_function" href="../../d6/da0/group___n_a_n_o1_x2___i2_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga94200ddc2f4cb709f477c40f955f1dba">I2C_GetData</a>(<a class="code hl_struct" href="../../d2/d62/struct_i2_c___t.html">I2C_T</a> *i2c)</div>
<div class="line"><a id="l00194" name="l00194"></a><span class="lineno">  194</span>{</div>
<div class="line"><a id="l00195" name="l00195"></a><span class="lineno">  195</span>    <span class="keywordflow">return</span> ( i2c-&gt;<a class="code hl_variable" href="../../d4/d75/group___n_a_n_o1_x2__legacy___constants.html#gab30093acea7930ab2ef7bc15872a1043">DATA</a> );</div>
<div class="line"><a id="l00196" name="l00196"></a><span class="lineno">  196</span>}</div>
<div class="line"><a id="l00197" name="l00197"></a><span class="lineno">  197</span> </div>
<div class="line"><a id="l00204" name="l00204"></a><span class="lineno"><a class="line" href="../../d6/da0/group___n_a_n_o1_x2___i2_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga60aacc589bbf1b9e5034a413a8c6667c">  204</a></span><span class="keywordtype">void</span> <a class="code hl_function" href="../../d6/da0/group___n_a_n_o1_x2___i2_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga60aacc589bbf1b9e5034a413a8c6667c">I2C_SetData</a>(<a class="code hl_struct" href="../../d2/d62/struct_i2_c___t.html">I2C_T</a> *i2c, uint8_t u8Data)</div>
<div class="line"><a id="l00205" name="l00205"></a><span class="lineno">  205</span>{</div>
<div class="line"><a id="l00206" name="l00206"></a><span class="lineno">  206</span>    i2c-&gt;<a class="code hl_variable" href="../../d4/d75/group___n_a_n_o1_x2__legacy___constants.html#gab30093acea7930ab2ef7bc15872a1043">DATA</a> = u8Data;</div>
<div class="line"><a id="l00207" name="l00207"></a><span class="lineno">  207</span>}</div>
<div class="line"><a id="l00208" name="l00208"></a><span class="lineno">  208</span> </div>
<div class="line"><a id="l00219" name="l00219"></a><span class="lineno"><a class="line" href="../../d6/da0/group___n_a_n_o1_x2___i2_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga5af4856de07386b9f5feaccf1151a2b0">  219</a></span><span class="keywordtype">void</span> <a class="code hl_function" href="../../d6/da0/group___n_a_n_o1_x2___i2_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga5af4856de07386b9f5feaccf1151a2b0">I2C_SetSlaveAddr</a>(<a class="code hl_struct" href="../../d2/d62/struct_i2_c___t.html">I2C_T</a> *i2c, uint8_t u8SlaveNo, uint8_t u8SlaveAddr, uint8_t u8GCMode)</div>
<div class="line"><a id="l00220" name="l00220"></a><span class="lineno">  220</span>{</div>
<div class="line"><a id="l00221" name="l00221"></a><span class="lineno">  221</span>    <span class="keywordflow">switch</span> (u8SlaveNo)</div>
<div class="line"><a id="l00222" name="l00222"></a><span class="lineno">  222</span>    {</div>
<div class="line"><a id="l00223" name="l00223"></a><span class="lineno">  223</span>    <span class="keywordflow">case</span> 0:</div>
<div class="line"><a id="l00224" name="l00224"></a><span class="lineno">  224</span>        i2c-&gt;<a class="code hl_variable" href="../../d4/d75/group___n_a_n_o1_x2__legacy___constants.html#ga7563fb74bf39715685191219c1917615">SADDR0</a>  = (u8SlaveAddr &lt;&lt; 1) | u8GCMode;</div>
<div class="line"><a id="l00225" name="l00225"></a><span class="lineno">  225</span>        <span class="keywordflow">break</span>;</div>
<div class="line"><a id="l00226" name="l00226"></a><span class="lineno">  226</span>    <span class="keywordflow">case</span> 1:</div>
<div class="line"><a id="l00227" name="l00227"></a><span class="lineno">  227</span>        i2c-&gt;<a class="code hl_variable" href="../../d4/d75/group___n_a_n_o1_x2__legacy___constants.html#ga5aaa84688133cbe054ad75fa00130648">SADDR1</a>  = (u8SlaveAddr &lt;&lt; 1) | u8GCMode;</div>
<div class="line"><a id="l00228" name="l00228"></a><span class="lineno">  228</span>        <span class="keywordflow">break</span>;</div>
<div class="line"><a id="l00229" name="l00229"></a><span class="lineno">  229</span>    <span class="keywordflow">default</span>:</div>
<div class="line"><a id="l00230" name="l00230"></a><span class="lineno">  230</span>        i2c-&gt;<a class="code hl_variable" href="../../d4/d75/group___n_a_n_o1_x2__legacy___constants.html#ga7563fb74bf39715685191219c1917615">SADDR0</a>  = (u8SlaveAddr &lt;&lt; 1) | u8GCMode;</div>
<div class="line"><a id="l00231" name="l00231"></a><span class="lineno">  231</span>    }</div>
<div class="line"><a id="l00232" name="l00232"></a><span class="lineno">  232</span>}</div>
<div class="line"><a id="l00233" name="l00233"></a><span class="lineno">  233</span> </div>
<div class="line"><a id="l00241" name="l00241"></a><span class="lineno"><a class="line" href="../../d6/da0/group___n_a_n_o1_x2___i2_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga1d0b902bc72f1344225974be9cb04a68">  241</a></span><span class="keywordtype">void</span> <a class="code hl_function" href="../../d6/da0/group___n_a_n_o1_x2___i2_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga1d0b902bc72f1344225974be9cb04a68">I2C_SetSlaveAddrMask</a>(<a class="code hl_struct" href="../../d2/d62/struct_i2_c___t.html">I2C_T</a> *i2c, uint8_t u8SlaveNo, uint8_t u8SlaveAddrMask)</div>
<div class="line"><a id="l00242" name="l00242"></a><span class="lineno">  242</span>{</div>
<div class="line"><a id="l00243" name="l00243"></a><span class="lineno">  243</span>    <span class="keywordflow">switch</span> (u8SlaveNo)</div>
<div class="line"><a id="l00244" name="l00244"></a><span class="lineno">  244</span>    {</div>
<div class="line"><a id="l00245" name="l00245"></a><span class="lineno">  245</span>    <span class="keywordflow">case</span> 0:</div>
<div class="line"><a id="l00246" name="l00246"></a><span class="lineno">  246</span>        i2c-&gt;<a class="code hl_variable" href="../../d4/d75/group___n_a_n_o1_x2__legacy___constants.html#gaf53d28d3d8ac5a0ab9a92a127a557b2d">SAMASK0</a>  = u8SlaveAddrMask &lt;&lt; 1;</div>
<div class="line"><a id="l00247" name="l00247"></a><span class="lineno">  247</span>        <span class="keywordflow">break</span>;</div>
<div class="line"><a id="l00248" name="l00248"></a><span class="lineno">  248</span>    <span class="keywordflow">case</span> 1:</div>
<div class="line"><a id="l00249" name="l00249"></a><span class="lineno">  249</span>        i2c-&gt;<a class="code hl_variable" href="../../d4/d75/group___n_a_n_o1_x2__legacy___constants.html#ga1a530f5050894501e7bc05d48cdf0dc9">SAMASK1</a>  = u8SlaveAddrMask &lt;&lt; 1;</div>
<div class="line"><a id="l00250" name="l00250"></a><span class="lineno">  250</span>        <span class="keywordflow">break</span>;</div>
<div class="line"><a id="l00251" name="l00251"></a><span class="lineno">  251</span>    <span class="keywordflow">default</span>:</div>
<div class="line"><a id="l00252" name="l00252"></a><span class="lineno">  252</span>        i2c-&gt;<a class="code hl_variable" href="../../d4/d75/group___n_a_n_o1_x2__legacy___constants.html#gaf53d28d3d8ac5a0ab9a92a127a557b2d">SAMASK0</a>  = u8SlaveAddrMask &lt;&lt; 1;</div>
<div class="line"><a id="l00253" name="l00253"></a><span class="lineno">  253</span>    }</div>
<div class="line"><a id="l00254" name="l00254"></a><span class="lineno">  254</span>}</div>
<div class="line"><a id="l00255" name="l00255"></a><span class="lineno">  255</span> </div>
<div class="line"><a id="l00262" name="l00262"></a><span class="lineno"><a class="line" href="../../d6/da0/group___n_a_n_o1_x2___i2_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga40af7f5199f9ecfeb12346dd06795e30">  262</a></span><span class="keywordtype">void</span> <a class="code hl_function" href="../../d6/da0/group___n_a_n_o1_x2___i2_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga40af7f5199f9ecfeb12346dd06795e30">I2C_EnableTimeout</a>(<a class="code hl_struct" href="../../d2/d62/struct_i2_c___t.html">I2C_T</a> *i2c, uint8_t u8LongTimeout)</div>
<div class="line"><a id="l00263" name="l00263"></a><span class="lineno">  263</span>{</div>
<div class="line"><a id="l00264" name="l00264"></a><span class="lineno">  264</span>    <span class="keywordflow">if</span>(u8LongTimeout)</div>
<div class="line"><a id="l00265" name="l00265"></a><span class="lineno">  265</span>        i2c-&gt;<a class="code hl_variable" href="../../d4/d75/group___n_a_n_o1_x2__legacy___constants.html#ga3ea7086ff7e567448f6fa0cf63a1391b">TOUT</a> |= <a class="code hl_define" href="../../da/d91/_nano1_x2_series_8h.html#ae83cb4939f05cf27854e53c32e288a55">I2C_TOUT_DIV4_Msk</a>;</div>
<div class="line"><a id="l00266" name="l00266"></a><span class="lineno">  266</span>    <span class="keywordflow">else</span></div>
<div class="line"><a id="l00267" name="l00267"></a><span class="lineno">  267</span>        i2c-&gt;<a class="code hl_variable" href="../../d4/d75/group___n_a_n_o1_x2__legacy___constants.html#ga3ea7086ff7e567448f6fa0cf63a1391b">TOUT</a> &amp;= ~I2C_TOUT_DIV4_Msk;</div>
<div class="line"><a id="l00268" name="l00268"></a><span class="lineno">  268</span> </div>
<div class="line"><a id="l00269" name="l00269"></a><span class="lineno">  269</span>    i2c-&gt;<a class="code hl_variable" href="../../d4/d75/group___n_a_n_o1_x2__legacy___constants.html#ga3ea7086ff7e567448f6fa0cf63a1391b">TOUT</a> |= <a class="code hl_define" href="../../da/d91/_nano1_x2_series_8h.html#a4be7790eb88336c92e5214b11a153bfd">I2C_TOUT_TOUTEN_Msk</a>;</div>
<div class="line"><a id="l00270" name="l00270"></a><span class="lineno">  270</span>}</div>
<div class="line"><a id="l00271" name="l00271"></a><span class="lineno">  271</span> </div>
<div class="line"><a id="l00277" name="l00277"></a><span class="lineno"><a class="line" href="../../d6/da0/group___n_a_n_o1_x2___i2_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gaeacf8ee23bc7ad36ae7bb281cc11e288">  277</a></span><span class="keywordtype">void</span> <a class="code hl_function" href="../../d6/da0/group___n_a_n_o1_x2___i2_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gaeacf8ee23bc7ad36ae7bb281cc11e288">I2C_DisableTimeout</a>(<a class="code hl_struct" href="../../d2/d62/struct_i2_c___t.html">I2C_T</a> *i2c)</div>
<div class="line"><a id="l00278" name="l00278"></a><span class="lineno">  278</span>{</div>
<div class="line"><a id="l00279" name="l00279"></a><span class="lineno">  279</span>    i2c-&gt;<a class="code hl_variable" href="../../d4/d75/group___n_a_n_o1_x2__legacy___constants.html#ga3ea7086ff7e567448f6fa0cf63a1391b">TOUT</a> &amp;= ~I2C_TOUT_TOUTEN_Msk;</div>
<div class="line"><a id="l00280" name="l00280"></a><span class="lineno">  280</span>}</div>
<div class="line"><a id="l00281" name="l00281"></a><span class="lineno">  281</span> </div>
<div class="line"><a id="l00287" name="l00287"></a><span class="lineno"><a class="line" href="../../d6/da0/group___n_a_n_o1_x2___i2_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gab3873e5f04b3bb39022790f79a11e207">  287</a></span><span class="keywordtype">void</span> <a class="code hl_function" href="../../d6/da0/group___n_a_n_o1_x2___i2_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gab3873e5f04b3bb39022790f79a11e207">I2C_EnableWakeup</a>(<a class="code hl_struct" href="../../d2/d62/struct_i2_c___t.html">I2C_T</a> *i2c)</div>
<div class="line"><a id="l00288" name="l00288"></a><span class="lineno">  288</span>{</div>
<div class="line"><a id="l00289" name="l00289"></a><span class="lineno">  289</span>    i2c-&gt;<a class="code hl_variable" href="../../d4/d75/group___n_a_n_o1_x2__legacy___constants.html#ga2dd0ebcfad612a3b1f86f6a70ba0c386">CON2</a> |= <a class="code hl_define" href="../../da/d91/_nano1_x2_series_8h.html#a51bc91b0b776a14ed06cfe20e80edf86">I2C_CON2_WKUPEN_Msk</a>;</div>
<div class="line"><a id="l00290" name="l00290"></a><span class="lineno">  290</span>}</div>
<div class="line"><a id="l00291" name="l00291"></a><span class="lineno">  291</span> </div>
<div class="line"><a id="l00297" name="l00297"></a><span class="lineno"><a class="line" href="../../d6/da0/group___n_a_n_o1_x2___i2_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga836afb05deae9304e7090e511be42592">  297</a></span><span class="keywordtype">void</span> <a class="code hl_function" href="../../d6/da0/group___n_a_n_o1_x2___i2_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga836afb05deae9304e7090e511be42592">I2C_DisableWakeup</a>(<a class="code hl_struct" href="../../d2/d62/struct_i2_c___t.html">I2C_T</a> *i2c)</div>
<div class="line"><a id="l00298" name="l00298"></a><span class="lineno">  298</span>{</div>
<div class="line"><a id="l00299" name="l00299"></a><span class="lineno">  299</span>    i2c-&gt;<a class="code hl_variable" href="../../d4/d75/group___n_a_n_o1_x2__legacy___constants.html#ga2dd0ebcfad612a3b1f86f6a70ba0c386">CON2</a> &amp;= ~I2C_CON2_WKUPEN_Msk;</div>
<div class="line"><a id="l00300" name="l00300"></a><span class="lineno">  300</span>}</div>
<div class="line"><a id="l00301" name="l00301"></a><span class="lineno">  301</span> <span class="comment">/* end of group NANO1X2_I2C_EXPORTED_FUNCTIONS */</span></div>
<div class="line"><a id="l00303" name="l00303"></a><span class="lineno">  303</span> <span class="comment">/* end of group NANO1X2_I2C_Driver */</span></div>
<div class="line"><a id="l00305" name="l00305"></a><span class="lineno">  305</span> <span class="comment">/* end of group NANO1X2_Device_Driver */</span></div>
<div class="line"><a id="l00307" name="l00307"></a><span class="lineno">  307</span> </div>
<div class="line"><a id="l00308" name="l00308"></a><span class="lineno">  308</span><span class="comment">/*** (C) COPYRIGHT 2014 Nuvoton Technology Corp. ***/</span></div>
<div class="ttc" id="a_nano1_x2_series_8h_html"><div class="ttname"><a href="../../da/d91/_nano1_x2_series_8h.html">Nano1X2Series.h</a></div><div class="ttdoc">Nano102/112 peripheral access layer header file. This file contains all the peripheral register's def...</div></div>
<div class="ttc" id="a_nano1_x2_series_8h_html_a2e705d8f00a9745beac22c3650b33dff"><div class="ttname"><a href="../../da/d91/_nano1_x2_series_8h.html#a2e705d8f00a9745beac22c3650b33dff">I2C_CON_INTEN_Msk</a></div><div class="ttdeci">#define I2C_CON_INTEN_Msk</div><div class="ttdef"><b>Definition:</b> <a href="../../da/d91/_nano1_x2_series_8h_source.html#l05151">Nano1X2Series.h:5151</a></div></div>
<div class="ttc" id="a_nano1_x2_series_8h_html_a37e2291e5b8cb08ef03127ff25373958"><div class="ttname"><a href="../../da/d91/_nano1_x2_series_8h.html#a37e2291e5b8cb08ef03127ff25373958">I2C_INTSTS_INTSTS_Msk</a></div><div class="ttdeci">#define I2C_INTSTS_INTSTS_Msk</div><div class="ttdef"><b>Definition:</b> <a href="../../da/d91/_nano1_x2_series_8h_source.html#l05154">Nano1X2Series.h:5154</a></div></div>
<div class="ttc" id="a_nano1_x2_series_8h_html_a4be7790eb88336c92e5214b11a153bfd"><div class="ttname"><a href="../../da/d91/_nano1_x2_series_8h.html#a4be7790eb88336c92e5214b11a153bfd">I2C_TOUT_TOUTEN_Msk</a></div><div class="ttdeci">#define I2C_TOUT_TOUTEN_Msk</div><div class="ttdef"><b>Definition:</b> <a href="../../da/d91/_nano1_x2_series_8h_source.html#l05169">Nano1X2Series.h:5169</a></div></div>
<div class="ttc" id="a_nano1_x2_series_8h_html_a51bc91b0b776a14ed06cfe20e80edf86"><div class="ttname"><a href="../../da/d91/_nano1_x2_series_8h.html#a51bc91b0b776a14ed06cfe20e80edf86">I2C_CON2_WKUPEN_Msk</a></div><div class="ttdeci">#define I2C_CON2_WKUPEN_Msk</div><div class="ttdef"><b>Definition:</b> <a href="../../da/d91/_nano1_x2_series_8h_source.html#l05196">Nano1X2Series.h:5196</a></div></div>
<div class="ttc" id="a_nano1_x2_series_8h_html_a86d6277ce63c121b43ee3ecb54ff5d41"><div class="ttname"><a href="../../da/d91/_nano1_x2_series_8h.html#a86d6277ce63c121b43ee3ecb54ff5d41">I2C_CON_IPEN_Msk</a></div><div class="ttdeci">#define I2C_CON_IPEN_Msk</div><div class="ttdef"><b>Definition:</b> <a href="../../da/d91/_nano1_x2_series_8h_source.html#l05136">Nano1X2Series.h:5136</a></div></div>
<div class="ttc" id="a_nano1_x2_series_8h_html_ad2cdbbb8e94249513a07469f6063e159"><div class="ttname"><a href="../../da/d91/_nano1_x2_series_8h.html#ad2cdbbb8e94249513a07469f6063e159">SYS_IPRST_CTL2_I2C1_RST_Msk</a></div><div class="ttdeci">#define SYS_IPRST_CTL2_I2C1_RST_Msk</div><div class="ttdef"><b>Definition:</b> <a href="../../da/d91/_nano1_x2_series_8h_source.html#l03669">Nano1X2Series.h:3669</a></div></div>
<div class="ttc" id="a_nano1_x2_series_8h_html_ae3fdbe7343aa2a1904d9fda20fa67cac"><div class="ttname"><a href="../../da/d91/_nano1_x2_series_8h.html#ae3fdbe7343aa2a1904d9fda20fa67cac">I2C_INTSTS_TIF_Msk</a></div><div class="ttdeci">#define I2C_INTSTS_TIF_Msk</div><div class="ttdef"><b>Definition:</b> <a href="../../da/d91/_nano1_x2_series_8h_source.html#l05157">Nano1X2Series.h:5157</a></div></div>
<div class="ttc" id="a_nano1_x2_series_8h_html_ae83cb4939f05cf27854e53c32e288a55"><div class="ttname"><a href="../../da/d91/_nano1_x2_series_8h.html#ae83cb4939f05cf27854e53c32e288a55">I2C_TOUT_DIV4_Msk</a></div><div class="ttdeci">#define I2C_TOUT_DIV4_Msk</div><div class="ttdef"><b>Definition:</b> <a href="../../da/d91/_nano1_x2_series_8h_source.html#l05172">Nano1X2Series.h:5172</a></div></div>
<div class="ttc" id="a_nano1_x2_series_8h_html_af488439f0659be9b3529315c4ce840d6"><div class="ttname"><a href="../../da/d91/_nano1_x2_series_8h.html#af488439f0659be9b3529315c4ce840d6">SYS_IPRST_CTL2_I2C0_RST_Msk</a></div><div class="ttdeci">#define SYS_IPRST_CTL2_I2C0_RST_Msk</div><div class="ttdef"><b>Definition:</b> <a href="../../da/d91/_nano1_x2_series_8h_source.html#l03666">Nano1X2Series.h:3666</a></div></div>
<div class="ttc" id="agroup___n_a_n_o1_x2___c_l_k___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s_html_ga15c5a1cc055a26e3da00d8dc66f05e66"><div class="ttname"><a href="../../d5/d72/group___n_a_n_o1_x2___c_l_k___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga15c5a1cc055a26e3da00d8dc66f05e66">CLK_GetPCLKFreq</a></div><div class="ttdeci">uint32_t CLK_GetPCLKFreq(void)</div><div class="ttdoc">This function get PCLK frequency. The frequency unit is Hz.</div><div class="ttdef"><b>Definition:</b> <a href="../../de/da0/clk_8c_source.html#l00203">clk.c:203</a></div></div>
<div class="ttc" id="agroup___n_a_n_o1_x2___i2_c___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s_html_ga086ce98cdfb4f65742d3eec098d3e273"><div class="ttname"><a href="../../d9/d21/group___n_a_n_o1_x2___i2_c___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga086ce98cdfb4f65742d3eec098d3e273">I2C_SI</a></div><div class="ttdeci">#define I2C_SI</div><div class="ttdef"><b>Definition:</b> <a href="../../d5/daf/i2c_8h_source.html#l00035">i2c.h:35</a></div></div>
<div class="ttc" id="agroup___n_a_n_o1_x2___i2_c___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s_html_ga3a6f5731d5e5e7b21e5c01881d62a1b9"><div class="ttname"><a href="../../d9/d21/group___n_a_n_o1_x2___i2_c___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga3a6f5731d5e5e7b21e5c01881d62a1b9">I2C_AA</a></div><div class="ttdeci">#define I2C_AA</div><div class="ttdef"><b>Definition:</b> <a href="../../d5/daf/i2c_8h_source.html#l00036">i2c.h:36</a></div></div>
<div class="ttc" id="agroup___n_a_n_o1_x2___i2_c___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s_html_ga3ec29c2b8a3f118cd6a4ad5b7b89be81"><div class="ttname"><a href="../../d9/d21/group___n_a_n_o1_x2___i2_c___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga3ec29c2b8a3f118cd6a4ad5b7b89be81">I2C_STO</a></div><div class="ttdeci">#define I2C_STO</div><div class="ttdef"><b>Definition:</b> <a href="../../d5/daf/i2c_8h_source.html#l00034">i2c.h:34</a></div></div>
<div class="ttc" id="agroup___n_a_n_o1_x2___i2_c___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s_html_ga971d21035ba4ae2ef8287ed2a8c5f730"><div class="ttname"><a href="../../d9/d21/group___n_a_n_o1_x2___i2_c___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga971d21035ba4ae2ef8287ed2a8c5f730">I2C_STA</a></div><div class="ttdeci">#define I2C_STA</div><div class="ttdef"><b>Definition:</b> <a href="../../d5/daf/i2c_8h_source.html#l00033">i2c.h:33</a></div></div>
<div class="ttc" id="agroup___n_a_n_o1_x2___i2_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s_html_ga1d0b902bc72f1344225974be9cb04a68"><div class="ttname"><a href="../../d6/da0/group___n_a_n_o1_x2___i2_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga1d0b902bc72f1344225974be9cb04a68">I2C_SetSlaveAddrMask</a></div><div class="ttdeci">void I2C_SetSlaveAddrMask(I2C_T *i2c, uint8_t u8SlaveNo, uint8_t u8SlaveAddrMask)</div><div class="ttdoc">Configure the mask of slave address. The corresponding address bit is &quot;Don't Care&quot;.</div><div class="ttdef"><b>Definition:</b> <a href="../../d9/dcb/i2c_8c_source.html#l00241">i2c.c:241</a></div></div>
<div class="ttc" id="agroup___n_a_n_o1_x2___i2_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s_html_ga21c950fb4e57a2047b69cb811003fa9a"><div class="ttname"><a href="../../d6/da0/group___n_a_n_o1_x2___i2_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga21c950fb4e57a2047b69cb811003fa9a">I2C_Close</a></div><div class="ttdeci">void I2C_Close(I2C_T *i2c)</div><div class="ttdoc">This function closes the I2C module.</div><div class="ttdef"><b>Definition:</b> <a href="../../d9/dcb/i2c_8c_source.html#l00053">i2c.c:53</a></div></div>
<div class="ttc" id="agroup___n_a_n_o1_x2___i2_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s_html_ga270c59858dcbe767fdfa7aec2247aab5"><div class="ttname"><a href="../../d6/da0/group___n_a_n_o1_x2___i2_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga270c59858dcbe767fdfa7aec2247aab5">I2C_SetBusClockFreq</a></div><div class="ttdeci">uint32_t I2C_SetBusClockFreq(I2C_T *i2c, uint32_t u32BusClock)</div><div class="ttdoc">This function sets bus frequency of I2C module.</div><div class="ttdef"><b>Definition:</b> <a href="../../d9/dcb/i2c_8c_source.html#l00145">i2c.c:145</a></div></div>
<div class="ttc" id="agroup___n_a_n_o1_x2___i2_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s_html_ga29b31f62a804d8127bc8d480f5140856"><div class="ttname"><a href="../../d6/da0/group___n_a_n_o1_x2___i2_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga29b31f62a804d8127bc8d480f5140856">I2C_Trigger</a></div><div class="ttdeci">void I2C_Trigger(I2C_T *i2c, uint8_t u8Start, uint8_t u8Stop, uint8_t u8Si, uint8_t u8Ack)</div><div class="ttdoc">This function sets the control bit of the I2C module.</div><div class="ttdef"><b>Definition:</b> <a href="../../d9/dcb/i2c_8c_source.html#l00090">i2c.c:90</a></div></div>
<div class="ttc" id="agroup___n_a_n_o1_x2___i2_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s_html_ga40af7f5199f9ecfeb12346dd06795e30"><div class="ttname"><a href="../../d6/da0/group___n_a_n_o1_x2___i2_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga40af7f5199f9ecfeb12346dd06795e30">I2C_EnableTimeout</a></div><div class="ttdeci">void I2C_EnableTimeout(I2C_T *i2c, uint8_t u8LongTimeout)</div><div class="ttdoc">This function enables timeout function and configures DIV4 function to support long timeout.</div><div class="ttdef"><b>Definition:</b> <a href="../../d9/dcb/i2c_8c_source.html#l00262">i2c.c:262</a></div></div>
<div class="ttc" id="agroup___n_a_n_o1_x2___i2_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s_html_ga52dc389ef7d32581831ca8e9c9f4a4bd"><div class="ttname"><a href="../../d6/da0/group___n_a_n_o1_x2___i2_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga52dc389ef7d32581831ca8e9c9f4a4bd">I2C_ClearTimeoutFlag</a></div><div class="ttdeci">void I2C_ClearTimeoutFlag(I2C_T *i2c)</div><div class="ttdoc">This function clears the timeout flag.</div><div class="ttdef"><b>Definition:</b> <a href="../../d9/dcb/i2c_8c_source.html#l00076">i2c.c:76</a></div></div>
<div class="ttc" id="agroup___n_a_n_o1_x2___i2_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s_html_ga5af4856de07386b9f5feaccf1151a2b0"><div class="ttname"><a href="../../d6/da0/group___n_a_n_o1_x2___i2_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga5af4856de07386b9f5feaccf1151a2b0">I2C_SetSlaveAddr</a></div><div class="ttdeci">void I2C_SetSlaveAddr(I2C_T *i2c, uint8_t u8SlaveNo, uint8_t u8SlaveAddr, uint8_t u8GCMode)</div><div class="ttdoc">Configure slave address and enable GC mode.</div><div class="ttdef"><b>Definition:</b> <a href="../../d9/dcb/i2c_8c_source.html#l00219">i2c.c:219</a></div></div>
<div class="ttc" id="agroup___n_a_n_o1_x2___i2_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s_html_ga60aacc589bbf1b9e5034a413a8c6667c"><div class="ttname"><a href="../../d6/da0/group___n_a_n_o1_x2___i2_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga60aacc589bbf1b9e5034a413a8c6667c">I2C_SetData</a></div><div class="ttdeci">void I2C_SetData(I2C_T *i2c, uint8_t u8Data)</div><div class="ttdoc">This function writes the data to data register of I2C module.</div><div class="ttdef"><b>Definition:</b> <a href="../../d9/dcb/i2c_8c_source.html#l00204">i2c.c:204</a></div></div>
<div class="ttc" id="agroup___n_a_n_o1_x2___i2_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s_html_ga722b0efc53445c3ee7bea5e2b0e48ec6"><div class="ttname"><a href="../../d6/da0/group___n_a_n_o1_x2___i2_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga722b0efc53445c3ee7bea5e2b0e48ec6">I2C_GetBusClockFreq</a></div><div class="ttdeci">uint32_t I2C_GetBusClockFreq(I2C_T *i2c)</div><div class="ttdoc">This function returns the real bus clock of I2C module.</div><div class="ttdef"><b>Definition:</b> <a href="../../d9/dcb/i2c_8c_source.html#l00132">i2c.c:132</a></div></div>
<div class="ttc" id="agroup___n_a_n_o1_x2___i2_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s_html_ga7c48aae047e67d4484009b3f56f78e74"><div class="ttname"><a href="../../d6/da0/group___n_a_n_o1_x2___i2_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga7c48aae047e67d4484009b3f56f78e74">I2C_EnableInt</a></div><div class="ttdeci">void I2C_EnableInt(I2C_T *i2c)</div><div class="ttdoc">This function enables the interrupt (EI bit) of I2C module.</div><div class="ttdef"><b>Definition:</b> <a href="../../d9/dcb/i2c_8c_source.html#l00122">i2c.c:122</a></div></div>
<div class="ttc" id="agroup___n_a_n_o1_x2___i2_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s_html_ga836afb05deae9304e7090e511be42592"><div class="ttname"><a href="../../d6/da0/group___n_a_n_o1_x2___i2_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga836afb05deae9304e7090e511be42592">I2C_DisableWakeup</a></div><div class="ttdeci">void I2C_DisableWakeup(I2C_T *i2c)</div><div class="ttdoc">This function disables the wakeup function of I2C module.</div><div class="ttdef"><b>Definition:</b> <a href="../../d9/dcb/i2c_8c_source.html#l00297">i2c.c:297</a></div></div>
<div class="ttc" id="agroup___n_a_n_o1_x2___i2_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s_html_ga87ee3e2d3837de97391187449bb66af2"><div class="ttname"><a href="../../d6/da0/group___n_a_n_o1_x2___i2_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga87ee3e2d3837de97391187449bb66af2">I2C_GetStatus</a></div><div class="ttdeci">uint32_t I2C_GetStatus(I2C_T *i2c)</div><div class="ttdoc">This function returns the status of I2C module.</div><div class="ttdef"><b>Definition:</b> <a href="../../d9/dcb/i2c_8c_source.html#l00183">i2c.c:183</a></div></div>
<div class="ttc" id="agroup___n_a_n_o1_x2___i2_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s_html_ga8f7c9f0b9e85f4a6de170dbf26826061"><div class="ttname"><a href="../../d6/da0/group___n_a_n_o1_x2___i2_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga8f7c9f0b9e85f4a6de170dbf26826061">I2C_DisableInt</a></div><div class="ttdeci">void I2C_DisableInt(I2C_T *i2c)</div><div class="ttdoc">This function disables the interrupt of I2C module.</div><div class="ttdef"><b>Definition:</b> <a href="../../d9/dcb/i2c_8c_source.html#l00112">i2c.c:112</a></div></div>
<div class="ttc" id="agroup___n_a_n_o1_x2___i2_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s_html_ga94200ddc2f4cb709f477c40f955f1dba"><div class="ttname"><a href="../../d6/da0/group___n_a_n_o1_x2___i2_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga94200ddc2f4cb709f477c40f955f1dba">I2C_GetData</a></div><div class="ttdeci">uint32_t I2C_GetData(I2C_T *i2c)</div><div class="ttdoc">This function returns the data stored in data register of I2C module.</div><div class="ttdef"><b>Definition:</b> <a href="../../d9/dcb/i2c_8c_source.html#l00193">i2c.c:193</a></div></div>
<div class="ttc" id="agroup___n_a_n_o1_x2___i2_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s_html_gab3873e5f04b3bb39022790f79a11e207"><div class="ttname"><a href="../../d6/da0/group___n_a_n_o1_x2___i2_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gab3873e5f04b3bb39022790f79a11e207">I2C_EnableWakeup</a></div><div class="ttdeci">void I2C_EnableWakeup(I2C_T *i2c)</div><div class="ttdoc">This function enables the wakeup function of I2C module.</div><div class="ttdef"><b>Definition:</b> <a href="../../d9/dcb/i2c_8c_source.html#l00287">i2c.c:287</a></div></div>
<div class="ttc" id="agroup___n_a_n_o1_x2___i2_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s_html_gac3ab4949dccb6092ca2727d29bb73949"><div class="ttname"><a href="../../d6/da0/group___n_a_n_o1_x2___i2_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gac3ab4949dccb6092ca2727d29bb73949">I2C_ClearIntFlag</a></div><div class="ttdeci">void I2C_ClearIntFlag(I2C_T *i2c)</div><div class="ttdoc">This function clears the interrupt flag of I2C module.</div><div class="ttdef"><b>Definition:</b> <a href="../../d9/dcb/i2c_8c_source.html#l00173">i2c.c:173</a></div></div>
<div class="ttc" id="agroup___n_a_n_o1_x2___i2_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s_html_gad181ccedfb141167da8faf8ef279ba92"><div class="ttname"><a href="../../d6/da0/group___n_a_n_o1_x2___i2_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gad181ccedfb141167da8faf8ef279ba92">I2C_GetIntFlag</a></div><div class="ttdeci">uint32_t I2C_GetIntFlag(I2C_T *i2c)</div><div class="ttdoc">This function gets the interrupt flag of I2C module.</div><div class="ttdef"><b>Definition:</b> <a href="../../d9/dcb/i2c_8c_source.html#l00163">i2c.c:163</a></div></div>
<div class="ttc" id="agroup___n_a_n_o1_x2___i2_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s_html_gae8701d230c114b4b73757a08d0e23309"><div class="ttname"><a href="../../d6/da0/group___n_a_n_o1_x2___i2_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gae8701d230c114b4b73757a08d0e23309">I2C_Open</a></div><div class="ttdeci">uint32_t I2C_Open(I2C_T *i2c, uint32_t u32BusClock)</div><div class="ttdoc">This function make I2C module be ready and set the wanted bus clock.</div><div class="ttdef"><b>Definition:</b> <a href="../../d9/dcb/i2c_8c_source.html#l00034">i2c.c:34</a></div></div>
<div class="ttc" id="agroup___n_a_n_o1_x2___i2_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s_html_gaeacf8ee23bc7ad36ae7bb281cc11e288"><div class="ttname"><a href="../../d6/da0/group___n_a_n_o1_x2___i2_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gaeacf8ee23bc7ad36ae7bb281cc11e288">I2C_DisableTimeout</a></div><div class="ttdeci">void I2C_DisableTimeout(I2C_T *i2c)</div><div class="ttdoc">This function disables timeout function.</div><div class="ttdef"><b>Definition:</b> <a href="../../d9/dcb/i2c_8c_source.html#l00277">i2c.c:277</a></div></div>
<div class="ttc" id="agroup___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n_html_gae3d9f52a1a315303ad04f0576bd42a25"><div class="ttname"><a href="../../da/d2d/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#gae3d9f52a1a315303ad04f0576bd42a25">SYS</a></div><div class="ttdeci">#define SYS</div><div class="ttdoc">Pointer to SYS register structure.</div><div class="ttdef"><b>Definition:</b> <a href="../../da/d91/_nano1_x2_series_8h_source.html#l10650">Nano1X2Series.h:10650</a></div></div>
<div class="ttc" id="agroup___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___m_e_m___m_a_p_html_gabf0928baf4e4350633ca9050b65d1939"><div class="ttname"><a href="../../d5/db2/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___m_e_m___m_a_p.html#gabf0928baf4e4350633ca9050b65d1939">I2C0_BASE</a></div><div class="ttdeci">#define I2C0_BASE</div><div class="ttdoc">I2C0 register base address.</div><div class="ttdef"><b>Definition:</b> <a href="../../da/d91/_nano1_x2_series_8h_source.html#l10587">Nano1X2Series.h:10587</a></div></div>
<div class="ttc" id="agroup___n_a_n_o1_x2__legacy___constants_html_ga1a530f5050894501e7bc05d48cdf0dc9"><div class="ttname"><a href="../../d4/d75/group___n_a_n_o1_x2__legacy___constants.html#ga1a530f5050894501e7bc05d48cdf0dc9">I2C_T::SAMASK1</a></div><div class="ttdeci">__IO uint32_t SAMASK1</div><div class="ttdef"><b>Definition:</b> <a href="../../da/d91/_nano1_x2_series_8h_source.html#l05066">Nano1X2Series.h:5066</a></div></div>
<div class="ttc" id="agroup___n_a_n_o1_x2__legacy___constants_html_ga2b528aee5b81928cfa6e84f205ac5e88"><div class="ttname"><a href="../../d4/d75/group___n_a_n_o1_x2__legacy___constants.html#ga2b528aee5b81928cfa6e84f205ac5e88">I2C_T::INTSTS</a></div><div class="ttdeci">__IO uint32_t INTSTS</div><div class="ttdef"><b>Definition:</b> <a href="../../da/d91/_nano1_x2_series_8h_source.html#l04947">Nano1X2Series.h:4947</a></div></div>
<div class="ttc" id="agroup___n_a_n_o1_x2__legacy___constants_html_ga2dd0ebcfad612a3b1f86f6a70ba0c386"><div class="ttname"><a href="../../d4/d75/group___n_a_n_o1_x2__legacy___constants.html#ga2dd0ebcfad612a3b1f86f6a70ba0c386">I2C_T::CON2</a></div><div class="ttdeci">__IO uint32_t CON2</div><div class="ttdef"><b>Definition:</b> <a href="../../da/d91/_nano1_x2_series_8h_source.html#l05093">Nano1X2Series.h:5093</a></div></div>
<div class="ttc" id="agroup___n_a_n_o1_x2__legacy___constants_html_ga3a6b1cd30e7ad401b1dff3f181a0a6c4"><div class="ttname"><a href="../../d4/d75/group___n_a_n_o1_x2__legacy___constants.html#ga3a6b1cd30e7ad401b1dff3f181a0a6c4">I2C_T::CON</a></div><div class="ttdeci">__IO uint32_t CON</div><div class="ttdef"><b>Definition:</b> <a href="../../da/d91/_nano1_x2_series_8h_source.html#l04928">Nano1X2Series.h:4928</a></div></div>
<div class="ttc" id="agroup___n_a_n_o1_x2__legacy___constants_html_ga3ea7086ff7e567448f6fa0cf63a1391b"><div class="ttname"><a href="../../d4/d75/group___n_a_n_o1_x2__legacy___constants.html#ga3ea7086ff7e567448f6fa0cf63a1391b">I2C_T::TOUT</a></div><div class="ttdeci">__IO uint32_t TOUT</div><div class="ttdef"><b>Definition:</b> <a href="../../da/d91/_nano1_x2_series_8h_source.html#l04992">Nano1X2Series.h:4992</a></div></div>
<div class="ttc" id="agroup___n_a_n_o1_x2__legacy___constants_html_ga45e9c068d3cc966e206bd45c9b04b074"><div class="ttname"><a href="../../d4/d75/group___n_a_n_o1_x2__legacy___constants.html#ga45e9c068d3cc966e206bd45c9b04b074">I2C_T::STATUS</a></div><div class="ttdeci">__I uint32_t STATUS</div><div class="ttdef"><b>Definition:</b> <a href="../../da/d91/_nano1_x2_series_8h_source.html#l04960">Nano1X2Series.h:4960</a></div></div>
<div class="ttc" id="agroup___n_a_n_o1_x2__legacy___constants_html_ga5aaa84688133cbe054ad75fa00130648"><div class="ttname"><a href="../../d4/d75/group___n_a_n_o1_x2__legacy___constants.html#ga5aaa84688133cbe054ad75fa00130648">I2C_T::SADDR1</a></div><div class="ttdeci">__IO uint32_t SADDR1</div><div class="ttdef"><b>Definition:</b> <a href="../../da/d91/_nano1_x2_series_8h_source.html#l05038">Nano1X2Series.h:5038</a></div></div>
<div class="ttc" id="agroup___n_a_n_o1_x2__legacy___constants_html_ga7563fb74bf39715685191219c1917615"><div class="ttname"><a href="../../d4/d75/group___n_a_n_o1_x2__legacy___constants.html#ga7563fb74bf39715685191219c1917615">I2C_T::SADDR0</a></div><div class="ttdeci">__IO uint32_t SADDR0</div><div class="ttdef"><b>Definition:</b> <a href="../../da/d91/_nano1_x2_series_8h_source.html#l05021">Nano1X2Series.h:5021</a></div></div>
<div class="ttc" id="agroup___n_a_n_o1_x2__legacy___constants_html_gab20c783148e5e679d8da4415cfad85b2"><div class="ttname"><a href="../../d4/d75/group___n_a_n_o1_x2__legacy___constants.html#gab20c783148e5e679d8da4415cfad85b2">I2C_T::DIV</a></div><div class="ttdeci">__IO uint32_t DIV</div><div class="ttdef"><b>Definition:</b> <a href="../../da/d91/_nano1_x2_series_8h_source.html#l04973">Nano1X2Series.h:4973</a></div></div>
<div class="ttc" id="agroup___n_a_n_o1_x2__legacy___constants_html_gab30093acea7930ab2ef7bc15872a1043"><div class="ttname"><a href="../../d4/d75/group___n_a_n_o1_x2__legacy___constants.html#gab30093acea7930ab2ef7bc15872a1043">I2C_T::DATA</a></div><div class="ttdeci">__IO uint32_t DATA</div><div class="ttdef"><b>Definition:</b> <a href="../../da/d91/_nano1_x2_series_8h_source.html#l05004">Nano1X2Series.h:5004</a></div></div>
<div class="ttc" id="agroup___n_a_n_o1_x2__legacy___constants_html_gaf53d28d3d8ac5a0ab9a92a127a557b2d"><div class="ttname"><a href="../../d4/d75/group___n_a_n_o1_x2__legacy___constants.html#gaf53d28d3d8ac5a0ab9a92a127a557b2d">I2C_T::SAMASK0</a></div><div class="ttdeci">__IO uint32_t SAMASK0</div><div class="ttdef"><b>Definition:</b> <a href="../../da/d91/_nano1_x2_series_8h_source.html#l05053">Nano1X2Series.h:5053</a></div></div>
<div class="ttc" id="astruct_i2_c___t_html"><div class="ttname"><a href="../../d2/d62/struct_i2_c___t.html">I2C_T</a></div><div class="ttdef"><b>Definition:</b> <a href="../../da/d91/_nano1_x2_series_8h_source.html#l04890">Nano1X2Series.h:4891</a></div></div>
</div><!-- fragment --></div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Fri Oct 18 2024 12:20:31 for NANO102/112 BSP by&#160;<a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.3
</small></address>
</body>
</html>
